Subject: Re: [External] : bug#47150: 28.0.50; Incorrect major-mode in minibuffer

From: Alan Mackenzie <[email-masked]>
Date: Tue, 20 Apr 2021 10:25:25 +0000

Hello, Sheng.

On Mon, Apr 19, 2021 at 14:18:29 -0500, Sheng Yang wrote:
> Hi everyone,

> Thanks you all for the discussion and especially @Stefan for the patch.
> The patch looks good to me (I am on emacs 28 pgtk branch).

Many thanks for the testing!

> It does cause lispy and telega to malfunction due to their use of
> minibuffer-inactive-mode, but I managed to fix those by replacing (eq
> major-mode 'minibuffer-inactive-mode) with (derived-mode-p
> 'minibuffer-mode).

Yes.  It seems this is unavoidable.

> When this patch gets merged to master, I will send PRs to all the
> packages I am aware of using minibuffer-inactive-mode, i.e.
> lispy/telega/smartparens/lunarymacs (and possibly package-lint).

Thanks for doing that.

I've now committed the patch (modified in line with Stefan's suggestions)
to the master branch at savannah, and I'm closing the bug with this post.

> Best regards,
> Sheng

[ .... ]

> Sheng Yang(杨圣), PhD
> Computer Science Department
> University of Maryland, College Park
> E-mail: [email-masked]
> E-mail (old but still used): [email-masked]

-- 
Alan Mackenzie (Nuremberg, Germany).